Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.objects.epath
Class EPathParser

    java.lang.Object
      com.sun.mdm.index.objects.epath.EPathParser

public class EPathParser
extends java.lang.Object

EPath parser class. Creates an EPath object based on a valid EPath string

Constructor Summary
`protected` | `EPathParser()` Creates a new instance of EPathParser

Method Summary
`static java.lang.String` | `encodeObjectByKey(java.lang.String objectTag, java.util.Map kvp)` Encodes an Object tag name with key values into EPath notation.
`static void` | `main(java.lang.String[] argv)` The main program for the EPathParser class
`static EPath` | `parse(java.lang.String ePathStr)` parses a FQFN into an EPath Object that has a predefined command queue which is used to traverse the object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EPathParser

    protected EPathParser()

  Creates a new instance of EPathParser

Method Detail

### encodeObjectByKey

    public static java.lang.String encodeObjectByKey(java.lang.String objectTag,
                                                     java.util.Map kvp)

  Encodes an Object tag name with key values into EPath notation.

  Parameters:
    `objectTag` - the object tag name
    `kvp` - a map representing key-value pairs
  Returns:
    a EPath string representation of the object tag with qualifiers

### main

    public static void main(java.lang.String[] argv)

  The main program for the EPathParser class

  Parameters:
    `argv` - The command line arguments

### parse

    public static EPath parse(java.lang.String ePathStr)
                       throws EPathException

  parses a FQFN into an EPath Object that has a predefined command queue which is used to traverse the object. Primary.Secondary[*].* returns all secondary objects of named Secondary matching all keys. Primary.Secondary[@someKey=somevalue,@somemorekey=somemorevalue].* returns the secondary object named Secondary and has key "someKey" of somevalue. Primary.Secondary[1].* access the secondary object by index AObject.BObject[2].CObject[3].* supports multiple levels of access for now, this method does not support Primary.Secondary[*].Field

  Parameters:
    `ePathStr` - valid EPath string
  Returns:
    parsed EPath object
  Throws:
    `EPathException` - exception in parsing

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.